Get customers list
GET
https://bank.dattaremit.com/api/customersRequires a bank-scoped key.
Retrieves a listing of customers. Records are sorted by creation date in descending order.
Required scope: customers:read Optional scope: customers:pii:read.
Query Params
pageinteger—
per_pageinteger—
typestringComma separated types to list customers for.
bank_guidstringComma separated bank_guids to list customers for.
guidstringComma separated customer_guids to list customers for.
labelstringComma separated labels to list customers for.
include_piibooleanInclude PII in the response (requires **customers:pii:read** scope).
Responses
200get list of customers
400Invalid requests
401Unauthorized - Authentication failed, invalid subject,
403Invalid scope
Request
curl https://api.dattaremit.com/api/customers \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
get list of customers
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"bank_guid": "string",
"type": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"name": {
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
},
"address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"aliases": [
{
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
}
],
"website": "string",
"date_of_birth": "1990-04-12",
"phone_number": "string",
"email_address": "string",
"labels": [
"string"
],
"compliance_decisions": [
{
"type": "string",
"state": "string",
"failure_codes": [
null
],
"expired_at": "2026-07-20T16:27:51.438Z"
}
],
"identification_numbers": [
{
"type": "string",
"issuing_country_code": "string",
"identification_number": "string",
"issuing_subdivision": "string"
}
],
"activity_limits": [
{
"type": "string",
"name": "string",
"asset": "string",
"amount": 1,
"interval": 1,
"activities": [
null
],
"sides": [
null
]
}
]
}
]
}